# Changelog

## Release Version 1.2
- Added YouTube search command
- Fixed reconnection starting duplicate timers
- Added system to prevent MOTD from chosing the same daily result consecutively
- Added support for MOTDs matching only the date
- General purpose functions have been split off into IzzComLib
- Improved fallbacks for file-reading commands
- Data files for the official instance have been split into a separate repo

## Release Version 1.1
- Echobox
	- Checks whether the message is already in the database
	- Makes sure it doesn't say what was just added
	- Prevents adding `@everyone` or other mentions to the echobox
- Changed shutdown message to reaction
- Updated MOTD to support exact dates
- Optional startup message supplied by program args
- New aliases
	- `?illuminati`
	- `?communism`
	- `?tufac` lol
	- `?mrkrabs` (ack ack ack ack ack)
	- `?coolsville`
	- `?cube`
	- `?opinions`
- Respond to `@everyone` with the Caesar pic
- Gaming functions:
	- `?dice` - Rolls a 6-sided die (default) or takes input on size
	- `?coin` - Flips a coin (default) or takes input on number of coins to flip
	- `?8ball` - Standard "fortune telling"
	- Fixed issue if user doesn't have a nickname set
- Added new file saving queue system
- Updated `?help` with new features, using Embed Builder for nicer-looking display

## Release Version 1.0 (Minimum Viable Product)
- Save / Load settings from file
	- Git repo that excludes settings file and export / reference folders
- Safe shutdown of bot
- Dev Mode (OQM ignores everything outside of the testing server)
- A way to set up which channels get posted to
- Command processor
	- System for WIP commands that only work in testing server
	- `?help` command which lists full bot functionality
	- `?chk` (ack)
	- `?devmode` toggle
	- `?hug` image database
	- `?yes` database
	- `?no` database
	- `?slap` command from mIRC
	- `?angery`
	- `?subway`
- MOTD framework and image database
- Automatic *"ICE"* response